Project

General

Profile

Bug #10574

Rudder repo provides unwanted packages from backports on Debian 8

Added by Rémi Verchère 8 months ago. Updated 8 months ago.

Status:
Released
Priority:
N/A
Category:
Packaging
Target version:
Target version (plugin):
Severity:
Critical - prevents main use of Rudder | no workaround | data loss | security
User visibility:
Getting started - demo | first install | level 1 Techniques
Effort required:
Pull Request:
Priority:
0

Description

Hello,

On my rudder server, with 4.1 release, I have to carefully deactivate the rudder repository to avoid breaking my system, as it tries to install libpulse0 afterwards when upgrading packages:

With repository deb http://www.rudder-project.org/apt-4.1/ jessie main:

rverchere@rudder:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  libsystemd0 libudev1
The following packages will be upgraded:
  libpulse0
1 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 268 kB of archives.
After this operation, 26.6 kB of additional disk space will be used.

Without:

rverchere@rudder:~$ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

I strongly suggest delete/disable this package.


Related issues

Duplicated by Rudder - Bug #10611: dist-upgrade tries to remove the kernel with our 4.1.0 jessie repo Rejected

History

#1 Updated by Rémi Verchère 8 months ago

Same issue with rudder-agent on a node running Debian Jessie.

#2 Updated by Alexis MOUSSET 8 months ago

  • Target version set to 4.1.1
  • Severity set to Critical - prevents main use of Rudder | no workaround | data loss | security
  • User visibility set to Getting started - demo | first install | level 1 Techniques

This is indeed not supposed to happen. The cause is that we downloaded the dependencies of all "openjdk-8-*" packages, not only the headless version. It should be fixed in the nightly builds tomorrow (and in the next minor release).

#3 Updated by Alexis MOUSSET 8 months ago

  • Status changed from New to In progress
  • Assignee set to Alexis MOUSSET

#4 Updated by Vincent MEMBRÉ 8 months ago

  • Target version changed from 4.1.1 to 4.1.2

#5 Updated by Alexis MOUSSET 8 months ago

  • Related to Bug #10611: dist-upgrade tries to remove the kernel with our 4.1.0 jessie repo added

#6 Updated by Alexis MOUSSET 8 months ago

  • Related to deleted (Bug #10611: dist-upgrade tries to remove the kernel with our 4.1.0 jessie repo)

#7 Updated by Alexis MOUSSET 8 months ago

  • Duplicated by Bug #10611: dist-upgrade tries to remove the kernel with our 4.1.0 jessie repo added

#8 Updated by Alexis MOUSSET 8 months ago

  • Status changed from In progress to Pending technical review

#9 Updated by Alexis MOUSSET 8 months ago

  • Subject changed from apt-upgrade with rudder.list dependencies issues to Rudder repo provides unwanted packages from backports on Debian 8
  • Status changed from Pending technical review to Released

#10 Updated by Alexis MOUSSET 8 months ago

  • Target version changed from 4.1.2 to 4.1.1

#11 Updated by Alexis MOUSSET 8 months ago

This bug has been fixed in Rudder 4.1.1 which was released on 19th April 2017.

Also available in: Atom PDF